Mailrelay API Reference

Update SMS campaign

PATCH https://{account}/api/v1/sms/campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Update SMS campaign

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
name string No Name
sender_name string No Sender name
message string No Message
track_links boolean No Track links

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer Id
name string Name
sender_name string Sender name
message string Message
parts_count string Parts count
last_sent_at string Last sent at
created_at string Created at
updated_at string Updated at
track_links boolean Track links